import {
  get,
  post,
  put,
  Delete,
  postForm,
  expoertExcel,
  getExcel,
  downloadExcel
} from "../request/http.js"
import { prototype } from "events"
const v1 = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-user`
const ewellDefectData = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-data`
const im = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-im`
export const API = {
  //登录
  // login: (data) => {
  //   return post(`${v1}/user/login`, data);
  // },
  getFeedback: (data) => {
    return get(`/disease-data/follow-up/feedback`, data)
  },
  putFeedback: (data) => {
    return post(`/disease-data/follow-up/feedback`, data)
  },
  ////////////
  // 获取问卷调查
  getQuestionnaireList: (data) => {
    return get(`/disease-data/questionnaire/list`, data)
  },

  // 获取问卷记录
  getQuestionnaireRecords: (data) => {
    return get(`/disease-data/questionnaire/records`, data)
  },

  // 获取用户信息
  getPatientInfo: (data) => {
    return get(`/disease-data/patient/info`, data)
  },

  // 提交问卷
  setQuestionnaire: (data) => {
    return post(`/disease-data/questionnaire`, data)
  },
  login: (data) => {
    return get(`/cloud-auth/oauth/token?grant_type=client_credentials`, data)
  }
}
